# MaskLayers(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MaskLayers`(bpy_struct)

  Collection of layers used by mask

  `active`

    Active layer in this mask

    Type: | `MaskLayer`

  `new`(name="")

    Add layer to this mask

    Parameters: | name (string, (optional, never None)) – Name, Name of new layer
    Returns: | New mask layer
    Return type: | `MaskLayer`

  `remove`(layer)

    Remove layer from this mask

    Parameters: | layer (`MaskLayer`, (never None)) – Shape to be removed

  `clear`()

    Remove all mask layers

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Mask.layers` |